// 最简代码，也就是这些字段必须有
import server from "@/assets/icon-png/menuList/server.svg";
export default {
  path: "/password",
  name: "passWord",
  redirect: "/password/change",
  meta: {
    title: "账号与密码",
    // 是否在主菜单显示父级路由 仅支持mixNav
    filterMenu: true
    // showLink: false
  },
  children: [
    {
      path: "/password-Change",
      name: "passWordChange",
      meta: {
        title: "账号与密码",
        icon: server
      },
      component: () => import("@/views/password/index.vue"),
      children: [
        {
          path: "/password/change",
          name: "password-change",
          component: () => import("@/views/password/index.vue"),
          meta: {
            title: "修改密码",
            showParent: true
          }
        }
        // {
        //   path: "/password/new",
        //   name: "password-new",
        //   component: () => import("@/views/password/newPassword.vue"),
        //   meta: {
        //     title: "重置密码"
        //   }
        // }
      ]
    }
  ]
} satisfies RouteConfigsTable;
